/***********************************************************************
*Copyright (c)2012 , 天际边工作室
*All rights reserved.
**
文件名称：	HeroList.h
*摘要：		游戏武将队列类头文件
**
*修改历史：
*	版本    日期     作者     改动内容和原因
*   ----------------------------------------------------
*	1.0    2012-10-20  wstjb     基本的功能完成
***********************************************************************/
#pragma once

#include <iostream>
#include <cstring>
#include <windows.h>
#include <stdio.h>
#include <stdlib.h>
#include "PublicFun.h"
#include "Hero.h"

class HeroList
{

public:
	void Init(int unx,int uny,int uchoice,int xuanze,int xuan);
	//void InitData();
	void Show(WPARAM KeyCode);
	void PubInit(int choice);
	int KeyDown(WPARAM KeyCode);
	void GetHeroNum();
	void GetOwner(char *name);
	void GetCityNum();
	void GetHeroName(int g);
	void GetHeroBelongTo(int g);
	void GetHeroCity(int g);
	void GetStyle(int x);
	void GetGoods(int x,int id);
	void DeleteHero(int g,int y);
	void GetListStyle(int x);
	void ChangeOwnerNum(int x);
	void ClearInListFlag();
	//int *GetHeroListOfCity(int cityid,int type,int size);
	//int *GetHeroListOfOwner(int ownerid,int type,int size);
	bool CheckHero(int heroid,int type,int cityid,int ownerid);//cityid 默认-1会直接取GetCityNum

//private:
		 Hero hero[HEROMAX];
		 int statf;
		 int statf2;
		 char heroname[10];
		 char heroowner[10];
		 char heroofcity[10];
		 char style[10];
		 char goods1[20];
		 char goods2[20];
		 int heroowned[500];

		 int unx;
		 int uny;
		 int number;
		 int choice;
		 int heronum;
		 int fulunum;
		 int athomenum;
		 int otherwjnum;
		 int otherjznum;
		 int ownedheronum;
		 int flagu;
		 int flagd;
		 int tmpfx;
		 int statbtp;
		 int count;
		 int listno;
		 int ownernum;
		 int heronu;

};
